summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMax Devaine2015-06-16 00:57:28 +0200
committerMax Devaine2015-06-16 00:57:28 +0200
commit88daeb24592407af0498847b9d4f453c84dffbc7 (patch)
tree66eec4fc370634854d41381d278c1dd211afc807
downloadaur-88daeb24592407af0498847b9d4f453c84dffbc7.tar.gz
Initial import
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD43
2 files changed, 61 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..362836b986f
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = openvsp-git
+ pkgdesc = OpenVSP allows the user to create a 3D model of an aircraft defined by common engineering parameters.
+ pkgver = 20150503
+ pkgrel = 1
+ url = http://www.openvsp.org
+ arch = i686
+ arch = x86_64
+ license = NASA OPEN SOURCE AGREEMENT VERSION 1.3
+ makedepends = cmake
+ makedepends = git
+ depends = fltk
+ depends = libxml2
+ depends = glew
+ source = openvsp-git::git+https://github.com/OpenVSP/OpenVSP.git
+ md5sums = SKIP
+
+pkgname = openvsp-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..cf41adb9f77
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,43 @@
+# Contributor: Max Devaine <max@devaine.cz>
+
+pkgname=openvsp-git
+pkgver=20150503
+pkgrel=1
+pkgdesc='OpenVSP allows the user to create a 3D model of an aircraft defined by common engineering parameters.'
+arch=(i686 x86_64)
+url='http://www.openvsp.org'
+license=('NASA OPEN SOURCE AGREEMENT VERSION 1.3')
+makedepends=('cmake' 'git')
+depends=('fltk' 'libxml2' 'glew')
+provides=('')
+conflicts=('')
+groups=('')
+
+
+source=("$pkgname"::'git+https://github.com/OpenVSP/OpenVSP.git')
+md5sums=('SKIP')
+
+
+prepare() {
+ if [ -d "${srcdir}/$pkgname/build" ] ; then
+ rm -fr "${srcdir}/$pkgname/build"
+ fi
+
+ mkdir "${srcdir}/$pkgname/build"
+}
+
+build() {
+ cd "$srcdir/$pkgname/build"
+ cmake ../SuperProject \
+ -DCMAKE_PREFIX_PATH='/usr' \
+ -DVSP_USE_SYSTEM_FLTK=1 \
+ -DVSP_USE_SYSTEM_GLEW=1 \
+ -DVSP_USE_SYSTEM_LIBXML2=1
+
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname/build/OpenVSP-prefix/src/OpenVSP-build"
+ cmake -DCMAKE_INSTALL_PREFIX="${pkgdir}/opt/openvsp" -P cmake_install.cmake
+}